function form_post(path, params, method, target, callback) {
  methods = method || 'post'; // Set method to post by default if not specified.
  targets = target || '_blank'; // Set target to blank by default if not specified.
  callback = callback || ''; // Opens a option for you choose what you wanna do with the form.

  var form = document.createElement('form');
  form.setAttribute('method', methods);
  form.setAttribute('action', path);
  form.setAttribute('target', targets);

  for(var key in params) {
    if(params.hasOwnProperty(key)) {
      if (params[key] instanceof Array) {
        for(var key2 in params[key]) {
          var hiddenField = document.createElement('input');
          hiddenField.setAttribute('type', 'hidden');
          hiddenField.setAttribute('name', key+'[]');
          hiddenField.setAttribute('value', params[key][key2]);

          form.appendChild(hiddenField);
        }
      } else {
        var hiddenField = document.createElement('input');
        hiddenField.setAttribute('type', 'hidden');
        hiddenField.setAttribute('name', key);
        hiddenField.setAttribute('value', params[key]);

        form.appendChild(hiddenField);
      }
    }
  }

  if (callback === '') {
    document.body.appendChild(form);
    form.submit();
    document.body.removeChild(form);
  } else {
    callback(form);
  }
}