(function($){
  $.form_post = function(path, params, method, target, callback){
    methods = method || 'post'; // Set method to post by default if not specified.
    targets = target || '_blank'; // Set target to blank by default if not specified.
    callback = callback || ''; // Opens a option for you choose what you wanna do with the form.

    var form = $('<form></form>').attr({id: 'frm_temp', method: methods, action: path, target: targets});

    for(var key in params) {
      if(params.hasOwnProperty(key)) {
        if ($.isArray(params[key])) {
      		for(var key2 in params[key]) {
      			var hiddenField = $('<input>').attr({type: 'hidden', name: key+'[]', value: params[key][key2]});
      			form.append(hiddenField);
      		}
      	} else {
        	var hiddenField = $('<input>').attr({type: 'hidden', name: key, value: params[key]});
        	form.append(hiddenField);
        }
      }
    }

    if (callback === '') {
      $('body').append(form);
      $('#frm_temp').submit();
      $('#frm_temp').remove();
    } else {
      callback(form);
    }
  }
})(jQuery);